Package picard.illumina.quality

# Enum Class CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason

java.lang.Object
java.lang.Enum<CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason>
picard.illumina.quality.CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason

All Implemented Interfaces:
  `Serializable`, `Comparable<CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason>`, `Constable`

Enclosing class:
  CollectHiSeqXPfFailMetrics.ReadClassifier

public static enum CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason extends Enum<CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMPTY`
`MISALIGNED`
`POLYCLONAL`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EMPTY

public static final CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason EMPTY

### POLYCLONAL

public static final CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason POLYCLONAL

### MISALIGNED

public static final CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason MISALIGNED

### UNKNOWN

public static final CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason UNKNOWN

## Method Details

### values

public static CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null